﻿<div class="navbar">
    <div class="navbar-inner">
        <div class="left sliding">
            <a href="#" class="link icon-only back">
                <i class="ionicons ion-android-arrow-forward"></i>
            </a>
        </div>
        <div class="center sliding"> تسجيل حساب جديد</div>
    </div>
</div>
<div class="page-content">
    <div class="list-block">
        <div class="m-auto">
            <form name="$parent.SignupUserForm" ng-submit="submitForm($parent.SignupUserForm)" novalidate>
                <ul>
                    <!--<li>
        <div class="item-content" ng-class="submittedUserSignup && signUpUserReset && $parent.SignupUserForm.name.$invalid?'has-error':'no-error'">
            <div class="item-inner">
                <div class="item-input">
                    <input name="name" class="form-control" type="text" placeholder="الإسم بالكامل" ng-model="userForm.name" required>
                </div>
            </div>
        </div>
        <p ng-show="submittedUserSignup && signUpUserReset && $parent.SignupUserForm.name.$error.required" class="error-block">يجب إدخال الإسم بالكامل</p>
    </li>-->
                    <li>
                        <div class="item-content" ng-class="submittedUserSignup && signUpUserReset && $parent.SignupUserForm.username.$invalid?'has-error':'no-error'">
                            <div class="item-inner">
                                <div class="item-input">
                                    <input name="username" class="form-control" type="text" placeholder="اسم المستخدم" ng-model="userForm.username" required ng-minlength="3">
                                </div>
                            </div>
                        </div>
                        <p ng-show="submittedUserSignup && signUpUserReset && $parent.SignupUserForm.username.$error.required" class="error-block">يجب إدخال اسم المستخدم</p>
                        <p ng-show="submittedUserSignup && signUpUserReset && $parent.SignupUserForm.username.$error.minlength" class="error-block">اسم المستخدم يجب ألا يقل عن ثلاثة أحرف</p>
                        <!--<p ng-show="submittedUserSignup && signUpUserReset && $parent.SignupUserForm.username.$error.pattern" class="error-block">اسم المستخدم يجب أن يكون باللغة الإنجليزية ومن غير مسافات</p>-->
                    </li>
                    <li>
                        <div class="item-content" ng-class="submittedUserSignup && signUpUserReset && $parent.SignupUserForm.email.$invalid?'has-error':'no-error'">
                            <div class="item-inner">
                                <div class="item-input">
                                    <input name="email" class="form-control" type="text" placeholder="البريد الإلكتروني" ng-pattern="emailRegex" ng-model="userForm.email">
                                </div>
                            </div>
                        </div>
                        <!--<p ng-show="submittedUserSignup && signUpUserReset && $parent.SignupUserForm.email.$error.required" class="error-block">يجب إدخال البريد الإلكتروني</p>-->
                        <p ng-show="submittedUserSignup && signUpUserReset && $parent.SignupUserForm.email.$error.pattern" class="error-block">البريد الإلكتروني غير صحيح</p>
                        <p ng-show="submittedUserSignup && signUpUserReset && $parent.SignupUserForm.email.$error.minlength" class="error-block"></p>
                        <p ng-show="submittedUserSignup && signUpUserReset && $parent.SignupUserForm.email.$error.maxlength" class="error-block"></p>
                    </li>
                    <li>
                        <div class="item-content" ng-class="submittedUserSignup && signUpUserReset && $parent.SignupUserForm.mobile.$invalid?'has-error':'no-error'">
                            <div class="item-inner">
                                <div class="item-input">
                                    <input name="mobile" class="form-control" type="tel" placeholder="رقم الجوال" ng-pattern="mobileRegex" ng-model="userForm.mobile" required ng-minlength="10" ng-maxlength="10">
                                </div>
                            </div>
                        </div>
                        <p ng-show="submittedUserSignup && signUpUserReset && $parent.SignupUserForm.mobile.$error.required" class="error-block">يجب إدخال رقم الجوال</p>
                        <p ng-show="submittedUserSignup && signUpUserReset && $parent.SignupUserForm.mobile.$error.pattern" class="error-block">رقم الجوال غير صحيح</p>
                        <p ng-show="submittedUserSignup && signUpUserReset && $parent.SignupUserForm.mobile.$error.minlength" class="error-block">رقم الجوال يجب أن يكون عشرة أرقام فقط</p>
                        <p ng-show="submittedUserSignup && signUpUserReset && $parent.SignupUserForm.mobile.$error.maxlength" class="error-block">رقم الجوال يجب أن يكون عشرة أرقام فقط</p>
                    </li>
                    <li>
                        <a id="linkSignupCity" href="#" class="item-link smart-select" data-open-in="popup" data-popup-close-text="إغلاق" data-back-on-select="true">
                            <select name="city" ng-model="userForm.city" ng-options="city.name for city in cities" required>
                                <option ng-select="true" ng-disabled="true" value="">اختر مدينتك</option>
                            </select>
                            <div class="item-content" ng-class="submittedUserSignup && signUpUserReset && $parent.SignupUserForm.city.$invalid?'has-error':'no-error'">
                                <div class="item-inner">
                                    <div id="divItemAfterUserCity" class="item-after"></div>
                                </div>
                            </div>
                            <p ng-show="submittedUserSignup && signUpUserReset && $parent.SignupUserForm.city.$error.required" class="error-block">يجب اختيار المدينة</p>
                        </a>
                    </li>
                    <li>
                        <div class="item-content" ng-class="submittedUserSignup && signUpUserReset && $parent.SignupUserForm.signAddress.$invalid?'has-error':'no-error'">
                            <div class="item-inner">
                                <div class="item-input">
                                    <input disabled name="signAddress" class="form-control" type="text" placeholder="عنوانك(اختياري)" ng-model="$parent.signAddress" >
                                </div>
                            </div>
                            <div ng-click="$parent.openMap()" class="item-media" style=" margin-bottom: 0;
    margin-left: 1px;
    margin-top: 1px;
    background: #e6e6e6;
    color: #fff;
    border-radius: 20px;
    width: 38px;
    height: 38px;">
                                <!--<i ng-if="$parent.locationLoading" class="ionicons ion-ios-circle-outline loading-icon"></i>-->
                                <!--ng-if="!$parent.locationLoading"-->

                                <i class="ionicons ion-android-pin" style="color:#fff"></i>
                            </div>
                        </div>
                        <p ng-show="submittedUserSignup && signUpUserReset && $parent.SignupUserForm.signAddress.$error.required" class="error-block">يجب ادخال عنوانك</p>

                    </li>
                    <li>
                        <div class="item-content" ng-class="submittedUserSignup && signUpUserReset && $parent.SignupUserForm.newPassword.$invalid?'has-error':'no-error'">
                            <div class="item-inner">
                                <div class="item-input">
                                    <input type="password" placeholder="كلمة السر" name="newPassword" ng-model="userForm.newPassword" required ng-minlength="6" ng-maxlength="30">
                                </div>
                            </div>
                        </div>
                        <p ng-show="submittedUserSignup && signUpUserReset  && $parent.SignupUserForm.newPassword.$error.required" class="error-block">يجب إدخال كلمة السر</p>
                        <p ng-show="submittedUserSignup && signUpUserReset  && $parent.SignupUserForm.newPassword.$error.minlength" class="error-block">كلمة السر يجب ألا تقل عن ستة أحرف</p>
                        <p ng-show="submittedUserSignup && signUpUserReset  && $parent.SignupUserForm.newPassword.$error.maxlength" class="error-block">كلمة السر يجب ألا تزيد عن ثلاثين حرفا</p>
                    </li>
                    <li>
                        <div class="item-content" ng-class="submittedUserSignup && signUpUserReset  && $parent.SignupUserForm.confrmNewPassword.$invalid?'has-error':'no-error'">
                            <div class="item-inner">
                                <div class="item-input">
                                    <input type="password" placeholder="تأكيد كلمة السر" name="confrmNewPassword" ng-model="userForm.confrmNewPassword" ng-pattern="userForm.newPassword" required ng-minlength="6" ng-maxlength="30">
                                </div>
                            </div>
                        </div>
                        <p ng-show="submittedUserSignup && signUpUserReset && $parent.SignupUserForm.confrmNewPassword.$error.required" class="error-block">يجب تأكيد كلمة السر</p>
                        <p ng-show="submittedUserSignup && signUpUserReset && $parent.SignupUserForm.confrmNewPassword.$error.minlength" class="error-block">كلمة السر يجب ألا تقل عن ستة أحرف</p>
                        <p ng-show="submittedUserSignup && signUpUserReset && $parent.SignupUserForm.confrmNewPassword.$error.maxlength" class="error-block">كلمة السر يجب ألا تزيد عن ثلاثين حرفا</p>
                        <p ng-show="submittedUserSignup && signUpUserReset && $parent.SignupUserForm.confrmNewPassword.$error.pattern" class="error-block">كلمتا السر غير متطابقتين</p>
                    </li>
                </ul>
                <p class="text-center"><a ng-click="GoToLogin()" class="color-main">هل لديك حساب بالفعل ؟</a></p>
                <p>
                    <button id="userSignUp" type="submit" class="button button-fill button-rounded centered-100 m-auto activationCode" ng-click="submittedUserSignup=true">تسجيل حساب</button>
                </p>
                <p>
                    <a ng-click="GoBack()" class="button button-fill button-rounded centered-100 m-auto activationCode">عودة</a>
                </p>
            </form>

        </div>
    </div>
</div>